Loading...
Searching...
No Matches
undirected_segment.hpp File Reference
`#include <osmium/osm/location.hpp>`
`#include <osmium/osm/segment.hpp>`
`#include <iosfwd>`
Include dependency graph for undirected_segment.hpp:

Go to the source code of this file.

## Classes

class | osmium::UndirectedSegment

## Namespaces

namespace | osmium
| Namespace for everything in the Osmium library.

## Functions

bool | osmium::operator< (const UndirectedSegment &lhs, const UndirectedSegment &rhs) noexcept
bool | osmium::operator> (const UndirectedSegment &lhs, const UndirectedSegment &rhs) noexcept
bool | osmium::operator<= (const UndirectedSegment &lhs, const UndirectedSegment &rhs) noexcept
bool | osmium::operator>= (const UndirectedSegment &lhs, const UndirectedSegment &rhs) noexcept
template<typename TChar, typename TTraits>
std::basic_ostream< TChar, TTraits > & | osmium::operator<< (std::basic_ostream< TChar, TTraits > &out, const osmium::UndirectedSegment &segment)